Reactivate Integrations
/ic/api/integration/v1/integrations/reactivate
Request
-
connectionCode(required): string
Minimum Length:
1Connection code -
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
- application/json;charset=utf-8
Response
- application/json;charset=utf-8
200 Response
objectExamples
The following example shows how to reactivate one or more integrations by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Reactivate Integrations associated with connection TEST_CONNECTION
Request:
curl -X POST -H 'Authorization: Bearer access_token' -H "Content-Type:application/json" -d @reactivate.json https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/integrations/reactivate?integrationInstance=service-instance
Request Body:
The following example shows the contents of the request body in JSON format. This is
the content of the reactivate.json file referenced in the cURL
command. The request body contains a list of integration identifiers that have to be
reactivated.
[ "TEST_SCH_INT|01.00.0000", "TEST_APP_INT|02.00.0000" ]